#
%define		srcname	thunar-media-tags-plugin
#
Summary:	Media Tags plugin for the Thunar file manager
Summary(pl.UTF-8):	Wtyczka Media Tags dla zarządcy plików Thunar
Name:		Thunar-media-tags-plugin
Version:	0.4.0
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	https://archive.xfce.org/src/thunar-plugins/thunar-media-tags-plugin/0.4/%{srcname}-%{version}.tar.bz2
# Source0-md5:	1a1125a58930713c95bdb09b8665994a
URL:		https://goodies.xfce.org/projects/thunar-plugins/thunar-media-tags-plugin
BuildRequires:	Thunar-devel >= 1.8.0
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	glib2-devel >= 2.50.0
BuildRequires:	gtk+3-devel >= 3.22.0
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	libxfce4util-devel >= 4.0.0
BuildRequires:	taglib-devel >= 1.4
BuildRequires:	xfce4-dev-tools >= 4.12.0
Requires:	Thunar >= 1.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This plugin adds special features for media files to the Thunar file
manager. It includes a special media file page for the file properties
dialog, a tag editor for ID3 or Ogg/Vorbis tags and a so-called bulk
renamer, which allows users to rename multiple audio files at once,
based on their tags.

%description -l pl.UTF-8
Ta wtyczka dodaje specjalną obsługę plików multimedialnych do zarządcy
plików Thunar. Zawiera specjalną stronę plików multimedialnych dla
okna właściwości, edytor znaczników ID3 i Ogg/Vorbis oraz tak zwany
"bulk renamer", pozwalający użytkownikom zmienić nazwę wielu plików
dźwiękowych naraz w oparciu o ich znaczniki.

%prep
%setup -q -n %{srcname}-%{version}

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/thunarx-3/*.la

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{fa_IR,hy_AM,hye,hye_RU,ie,ur_PK,uz@Latn}

%find_lang %{srcname}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{srcname}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README.md TODO
%attr(755,root,root) %{_libdir}/thunarx-3/thunar-media-tags-plugin.so
%changelog
* Mon Feb 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/Thunar-media-tags-plugin.git;a=log;h=master

* Mon Feb 06 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 0abf87b
- removing unsupported locale

* Mon Feb 06 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 17accdf
- up to 0.4.0

* Sun Aug 25 2019 Jan Rękorajski <baggins@pld-linux.org> 1b46907
- release 4 (by relup.sh)

* Fri Apr 12 2019 Adam Gołębiowski <adamg@pld-linux.org> e6a8150
- release 3, rebuild against Thunar-1.8.4

* Sun Jun 10 2018 Jan Rękorajski <baggins@pld-linux.org> 6f91a02
- removed unsupported locale
- rel 2

* Sun Jun 10 2018 Jan Rękorajski <baggins@pld-linux.org> dcd863a
- up to 0.3.0

* Tue Mar 31 2015 Jan Rękorajski <baggins@pld-linux.org> dc39463
- rel 3

* Mon Mar 23 2015 Elan Ruusamäe <glen@delfi.ee> 39177e8
- x32 rebuild
- release 2 (by relup.sh)

* Fri Aug 15 2014 Jan Rękorajski <baggins@pld-linux.org> ce634d3
- up to 0.2.1

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> a0893f6
- rel 2
- remove non-existing locale

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 0587b6a
- 0.2.0
- removed obsolete patches

* Thu Feb 17 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 0f97db7
- added patches from upstream (required to fix build with xfce 4.8)
- release 4

* Thu Feb 17 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 69514dd
- patches from upstream

* Thu Mar 12 2009 zbyniu <zbyniu@pld-linux.org> b953533
- rel 3

* Tue Oct 02 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 38b2052
- release 2

* Mon Apr 16 2007 Jakub Bogusz <qboosh@pld-linux.org> d6264eb
- pl

* Thu Apr 05 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 7d4d372
- new

